Profiles
Requires profiles:write and a key with access to all profiles.
Authorization
bearerAuth AuthorizationBearer <token>
API key starting with fh_
In: header
Header Parameters
Idempotency-Key?string
Any unique string up to 255 characters. A retry with the same key within 24 hours returns the first response instead of running again.
Length
length <= 255Request Body
application/json
name*string
Length
1 <= length <= 100color?string
Match
^#[0-9a-fA-F]{6}$timezone?string
IANA time zone, e.g. Europe/Berlin
externalId?string
Your own id for this object, e.g. your customer id. Unique per organization
Length
1 <= length <= 255Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://feedhorizon.com/api/v1/profiles" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{
"data": {
"id": "prof_0195f0a27b3c7d4e8f5a1b2c3d4e5f60",
"name": "string",
"color": "string",
"timezone": "string",
"isDefault": true,
"queueEnabled": true,
"externalId": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
}{
"error": {
"type": "invalid_request_error",
"code": "string",
"message": "string",
"param": "string",
"details": [
{
"param": "string",
"code": "string",
"message": "string"
}
],
"docUrl": "http://example.com",
"requestId": "string"
}
}{
"error": {
"type": "invalid_request_error",
"code": "string",
"message": "string",
"param": "string",
"details": [
{
"param": "string",
"code": "string",
"message": "string"
}
],
"docUrl": "http://example.com",
"requestId": "string"
}
}{
"error": {
"type": "invalid_request_error",
"code": "string",
"message": "string",
"param": "string",
"details": [
{
"param": "string",
"code": "string",
"message": "string"
}
],
"docUrl": "http://example.com",
"requestId": "string"
}
}{
"error": {
"type": "invalid_request_error",
"code": "string",
"message": "string",
"param": "string",
"details": [
{
"param": "string",
"code": "string",
"message": "string"
}
],
"docUrl": "http://example.com",
"requestId": "string"
}
}{
"error": {
"type": "invalid_request_error",
"code": "string",
"message": "string",
"param": "string",
"details": [
{
"param": "string",
"code": "string",
"message": "string"
}
],
"docUrl": "http://example.com",
"requestId": "string"
}
}{
"error": {
"type": "invalid_request_error",
"code": "string",
"message": "string",
"param": "string",
"details": [
{
"param": "string",
"code": "string",
"message": "string"
}
],
"docUrl": "http://example.com",
"requestId": "string"
}
}{
"error": {
"type": "invalid_request_error",
"code": "string",
"message": "string",
"param": "string",
"details": [
{
"param": "string",
"code": "string",
"message": "string"
}
],
"docUrl": "http://example.com",
"requestId": "string"
}
}{
"error": {
"type": "invalid_request_error",
"code": "string",
"message": "string",
"param": "string",
"details": [
{
"param": "string",
"code": "string",
"message": "string"
}
],
"docUrl": "http://example.com",
"requestId": "string"
}
}